package com.heyu.api.data.dao.user;
/**
* <p>
* 用户控制涂鸦设备指令表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.user.UserHandlingDeviceEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface UserHandlingDeviceDao extends BaseMapper<UserHandlingDeviceEntity> {


	UserHandlingDeviceEntity selectUserHandlingDeviceById(@Param("id")Long id);


	Long insertUserHandlingDevice(UserHandlingDeviceEntity userHandlingDevice);


	Long insertOrUpdateUserHandlingDevice(UserHandlingDeviceEntity userHandlingDevice);


	int updateUserHandlingDeviceById(UserHandlingDeviceEntity userHandlingDevice);


	int updateCoverUserHandlingDeviceById(UserHandlingDeviceEntity userHandlingDevice);


	int deleteUserHandlingDeviceById(@Param("id")Long id);


}